VERSION 5.00
Object = "{831FDD16-0C5C-11D2-A9FC-0000F8754DA1}#2.0#0"; "MSCOMCTL.OCX"
Begin VB.Form frmMain 
   Caption         =   "Splitter Bar Example"
   ClientHeight    =   4185
   ClientLeft      =   165
   ClientTop       =   735
   ClientWidth     =   8325
   Icon            =   "frmMain.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   4185
   ScaleWidth      =   8325
   StartUpPosition =   3  'Windows Default
   Begin MSComctlLib.StatusBar StatusBar1 
      Align           =   2  'Align Bottom
      Height          =   315
      Left            =   0
      TabIndex        =   2
      Top             =   3870
      Width           =   8325
      _ExtentX        =   14684
      _ExtentY        =   556
      _Version        =   393216
      BeginProperty Panels {8E3867A5-8586-11D1-B16A-00C0F0283628} 
         NumPanels       =   1
         BeginProperty Panel1 {8E3867AB-8586-11D1-B16A-00C0F0283628} 
            Object.Width           =   13123
            MinWidth        =   13123
         EndProperty
      EndProperty
   End
   Begin VB.TextBox TextBox1 
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   3615
      Left            =   3360
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   1
      Top             =   0
      Width           =   4815
   End
   Begin MSComctlLib.TreeView TreeView1 
      Height          =   3615
      Left            =   60
      TabIndex        =   0
      Top             =   0
      Width           =   3075
      _ExtentX        =   5424
      _ExtentY        =   6376
      _Version        =   393217
      HideSelection   =   0   'False
      Indentation     =   600
      LabelEdit       =   1
      Style           =   6
      Appearance      =   1
   End
   Begin VB.Label lblHorDrag 
      BackColor       =   &H008080FF&
      BackStyle       =   0  'Transparent
      Height          =   3555
      Left            =   3180
      TabIndex        =   3
      Top             =   0
      Width           =   135
   End
   Begin VB.Menu mnuFile 
      Caption         =   "&File"
      Begin VB.Menu mnuExit 
         Caption         =   "E&xit"
      End
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
'
' AUTHOR:        Rob Albin (albinrw@yahoo.com)
' DATE:          April 25, 2001
' DEPENDENCIES:  Visual Basic 6.0
'                Microsoft Common Controls 6.0 (MSCOMCTL.OCX)
'
' ABSTRACT:
'
' Example of a draggable splitter bar.
'
'     Resizes controls as the bar is being dragged.
'     Error checking for boundary conditions.
'
' This is a trimmed down copy of another project of mine, for the
' sake of example of the draggable splitter.  I wrote it a couple times
' the wrong way prior to this version, just grab mine and save
' yourself the time :-)
'
Private Sub Form_Load()
   
   TextBox1.Text = "Program originally started as a hierarchical notetaker for an RPG game I was in the middle of playing: http://www.avernum.com/ (to explain the content of the treeview)"
   addDefaultNodes TreeView1
   
   '
   ' The horizontal drag label (lblHorDrag) is the primary
   ' mechanism for this example of a draggable splitter.
   ' It's used as an invisible control between the TreeView1
   ' and TextBox1 controls for its MouseMove event and
   ' MousePointer property.
   '
   lblHorDrag.Width = 80
   lblHorDrag.MousePointer = 9 ' Size W E
   
   '
   ' Set to Opaque for highlighting in this
   ' example, should be Transparent (0)
   '
   lblHorDrag.BackStyle = 1
                            
End Sub

Private Sub Form_Resize()
   resizeAllControls
End Sub

Private Sub resizeAllControls()
   Dim newWidth As Long
   Dim newHeight As Long
   
   ' newHeight will be used by all three main controls
   ' (TreeView1, lblHorDrag, TextBox1)
   newHeight = frmMain.ScaleHeight - StatusBar1.Height - 40
   ' boundary check for min
   If newHeight < 600 Then newHeight = 600

   '------------------------------------------------
   ' Set lblHorDrag and StatusBar1
   '
   lblHorDrag.Height = newHeight
   StatusBar1.Panels(1).MinWidth = frmMain.Width
   
   '------------------------------------------------
   ' base TreeView1's width on position of the
   ' horizontal drag label
   '
   newWidth = lblHorDrag.Left - 40
   ' boundary check for min
   If newWidth < 600 Then newWidth = 600
   
   TreeView1.Left = 40 ' static value here for clarity
   TreeView1.Width = newWidth
   TreeView1.Height = newHeight
   
   '------------------------------------------------
   ' base TextBox1's left on position of the
   ' horizontal drag label
   '
   TextBox1.Left = lblHorDrag.Left + lblHorDrag.Width
   
   newWidth = (frmMain.ScaleWidth - TextBox1.Left) - 40
   ' boundary check for min
   If newWidth < 600 Then newWidth = 600
   
   TextBox1.Width = newWidth
   TextBox1.Height = newHeight

End Sub

Private Sub lblHorDrag_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)

   Dim newLeft As Long, Dif As Long
   
   '
   ' Only want to take action if the user is holding down the left
   ' mouse button during this MouseMove event (click-and-dragging)
   '
   If Button <> vbLeftButton Then Exit Sub
   
   '
   ' Need to add the .Left position of the drag label to X
   ' to get the true mouse X position on the form.
   '
   newLeft = (lblHorDrag.Left + X) - 40
   
   '
   ' boundary check for arbitrary min and max extremes
   '
   If newLeft < 1200 Then Exit Sub
   If newLeft > frmMain.ScaleWidth - 1200 Then Exit Sub
   
   '
   ' Allow for 6 TWIPS of "give" so we don't enter a cascading
   ' MouseMove event (since we're repositioning the label within the
   ' MouseMove event).
   '
   Dif = newLeft - lblHorDrag.Left
   If Dif > 6 Or Dif < -6 Then
      lblHorDrag.Left = newLeft
      resizeAllControls
   End If

End Sub



Private Sub mnuExit_Click()
   Unload Me
End Sub

Private Sub TreeView1_GotFocus()
   StatusBar1.Panels(1).Text = TreeView1.SelectedItem.FullPath
End Sub

Private Sub TreeView1_NodeClick(ByVal Node As MSComctlLib.Node)
   StatusBar1.Panels(1).Text = Node.FullPath
End Sub
